Summary:	Scripts for managing .spec files and building RPM packages
Summary(de.UTF-8):	Scripts fürs Bauen binärer RPM-Pakete
Summary(pl.UTF-8):	Skrypty pomocnicze do zarządznia plikami .spec i budowania RPM-ów
Summary(pt_BR.UTF-8):	Scripts e programas executáveis usados para construir pacotes
Summary(ru.UTF-8):	Скрипты и утилиты, необходимые для сборки пакетов
Summary(uk.UTF-8):	Скрипти та утиліти, необхідні для побудови пакетів
Name:		rpm-build-tools
Version:	4.6
Release:	3
License:	GPL
Group:		Applications/File
Group:		Base
Source0:	builder.sh
Source1:	adapter.awk
Source2:	adapter.sh
Source3:	pldnotify.awk
Source4:	shrc.sh
Source5:	dropin
BuildRequires:	sed >= 4.0
Requires:	gawk >= 3.1.7
Requires:	git-core >= 1.7
Requires:	grep
Requires:	less
Requires:	openssh-clients
Requires:	perl-base
Requires:	rpm-build
Requires:	rpmbuild(macros) >= 1.539
Requires:	sed >= 4.0
Requires:	time
Requires:	util-linux
Requires:	wget
Suggests:	rpm-specdump >= 0.3
Suggests:	schedtool
Suggests:	vim-syntax-spec
Conflicts:	mktemp < 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib

%description
Scripts for managing .spec files and building RPM packages.

%description -l de.UTF-8
Scripts fürs Bauen RPM-Pakete.

%description -l pl.UTF-8
Skrypty pomocnicze do zarządzania plikami .spec i do budowania RPM-ów.

%description -l pt_BR.UTF-8
Este pacote contém scripts e programas executáveis que são usados para
construir pacotes usando o RPM.

%description -l ru.UTF-8
Различные вспомогательные скрипты и исполняемые программы, которые
используются для сборки RPM'ов.

%description -l uk.UTF-8
Різноманітні допоміжні скрипти та утиліти, які використовуються для
побудови RPM'ів.

%prep
%setup -qcT
cp -p %{SOURCE0} %{SOURCE2} .
cp -p %{SOURCE1} adapter.awk
cp -p %{SOURCE3} pldnotify.awk

%{__sed} -i -e 's,^adapter=.*/adapter.awk,adapter=%{_libdir}/adapter.awk,' adapter.sh

%{__sed} -i -e '/^VERSION=/s,\([^/]\+\)/.*",\1-RELEASE",' builder.sh adapter.sh
%{__sed} -i -e '/\tRCSID =/,/^\trev =/d;/\tVERSION = /s,\([^/]\+\)/.*,\1-RELEASE",' adapter.awk

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},/etc/shrc.d}
cp -p adapter.awk $RPM_BUILD_ROOT%{_libdir}/adapter.awk
install -p pldnotify.awk $RPM_BUILD_ROOT%{_bindir}/pldnotify
ln -s pldnotify $RPM_BUILD_ROOT%{_bindir}/pldnotify.awk
install -p builder.sh $RPM_BUILD_ROOT%{_bindir}/builder
install -p adapter.sh $RPM_BUILD_ROOT%{_bindir}/adapter
install -p %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}
install -p %{SOURCE4} $RPM_BUILD_ROOT/etc/shrc.d/rpm-build.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/adapter
%attr(755,root,root) %{_bindir}/builder
%attr(755,root,root) %{_bindir}/dropin
%attr(755,root,root) %{_bindir}/pldnotify*
/etc/shrc.d/rpm-build.sh
%{_libdir}/adapter.awk
%changelog
* Tue Mar 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-build-tools.git;a=log;h=master

* Tue Mar 25 2014 Elan Ruusamäe <glen@delfi.ee> 9e057b1
- release 3 (by relup.sh)

* Tue Mar 25 2014 Elan Ruusamäe <glen@delfi.ee> 598af90
- install without options to cp -p

* Fri Mar 14 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 1e555cc
- R: time

* Fri Mar 07 2014 Elan Ruusamäe <glen@delfi.ee> 8f64e26
- fix encoding errors (somebody translate that to english instead)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d808fa4
- more packages.

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 40531f6
- added kde4-kopete.

* Tue Mar 04 2014 Elan Ruusamäe <glen@delfi.ee> 52a2ef0
- doc for try_upgrade, try make it more readable

* Tue Mar 04 2014 Elan Ruusamäe <glen@delfi.ee> b10dfc6
- update-geoip.sh: rewrite for dynamic urls; use smarter fetch (curl with timestamp check)

* Tue Mar 04 2014 Elan Ruusamäe <glen@delfi.ee> 9f0af32
- release 2 (by relup.sh)

* Tue Mar 04 2014 Elan Ruusamäe <glen@delfi.ee> d723fec
- builder --no-init: reset all variables to current dir

* Sun Mar 02 2014 Elan Ruusamäe <glen@delfi.ee> 5650171
- exclude /etc/apparmor.d

* Sun Mar 02 2014 Elan Ruusamäe <glen@delfi.ee> 6dd8b9c
- prefix time(1) to build commands

* Sun Mar 02 2014 Elan Ruusamäe <glen@delfi.ee> cdea1b1
- v4.6: actually package dropin script; rename pldnotify without "extension"

* Wed Feb 26 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 26a4532
- Drop ancient mysql 5.1 checking url. Add mysql CDN handling support.

* Tue Feb 25 2014 Elan Ruusamäe <glen@delfi.ee> 11813c6
- rel 13, publish dropin script using ssh/ftp

* Tue Feb 25 2014 Elan Ruusamäe <glen@delfi.ee> c40b0b8
- add -s and -u cmdline opts

* Tue Feb 25 2014 Elan Ruusamäe <glen@delfi.ee> f8a123c
- kill tabs in %package line

* Tue Feb 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f70edc
- drop conditional macros for now

* Thu Jan 30 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ae0bacf
- Make sure readable file is uploaded.

* Wed Jan 29 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2659def
- unrar/rar checking

